
// Do not edit directly
// See https://github.com/quizlet/quizlet-design-tokens for code generation


package com.quizlet.ui.resources.designsystem.generated;

import androidx.compose.ui.graphics.Color

interface CompColor {
    
    /** Color Pills Bg Metadata of Light: `gray900` / Dark: `gray200` */
    val compSharedPillsBgMetadataPrimary: Color
    
    /** Color Pills Bg Metadata of Light: `twilight100` / Dark: `gray600` */
    val compSharedPillsBgMetadataSecondary: Color
    
    /** Color Pills Bg Callout of Light: `skyblue400` / Dark: `skyblue400` */
    val compSharedPillsBgCalloutPrimary: Color
    
    /** Color Pills Bg Status of Light: `gray400` / Dark: `gray400` */
    val compSharedPillsBgStatusSubtle: Color
    
    /** Color Pills Bg Status of Light: `upgrade` / Dark: `upgrade` */
    val compSharedPillsBgStatusUpgrade: Color
    
    /** Color Pills Bg Status of Light: `mint200` / Dark: `mint200` */
    val compSharedPillsBgStatusVerified: Color
    
    /** Color Pills Fg Metadata of Light: `gray200` / Dark: `gray800` */
    val compSharedPillsFgMetadataPrimary: Color
    
    /** Color Pills Fg Metadata of Light: `gray700` / Dark: `gray200` */
    val compSharedPillsFgMetadataSecondary: Color
    
    /** Color Pills Fg Callout of Light: `gray700` / Dark: `gray700` */
    val compSharedPillsFgCalloutPrimary: Color
    
    /** Color Pills Fg Status of Light: `gray700` / Dark: `gray700` */
    val compSharedPillsFgStatusSubtle: Color
    
    /** Color Pills Fg Status of Light: `gray700` / Dark: `gray700` */
    val compSharedPillsFgStatusUpgrade: Color
    
    /** Color Pills Fg Status of Light: `gray700` / Dark: `gray700` */
    val compSharedPillsFgStatusVerified: Color
    
    /** Color Progressbar Bg Bar of Light: `gray300` / Dark: `gray600` */
    val compSharedProgressBarBgBarEmpty: Color
    
    /** Color Progressbar Bg Bar of Light: `twilight400` / Dark: `twilight400` */
    val compSharedProgressBarBgBarPrimary: Color
    
    /** Color Progressbar Bg Bar of Light: `skyblue400` / Dark: `skyblue400` */
    val compSharedProgressBarBgBarSecondary: Color
    
    /** Color Progressbar Bg Bar of Light: `mint500` / Dark: `mint500` */
    val compSharedProgressBarBgBarKnown: Color
    
    /** Color Progressbar Bg Bar of Light: `sherbert400` / Dark: `sherbert400` */
    val compSharedProgressBarBgBarUnknown: Color
    
    /** Color Progressbar Bg Puck of Light: `mint600` / Dark: `mint600` */
    val compSharedProgressBarBgPuckKnown: Color
    
    /** Color Progressbar Fg Puck of Light: `gray100` / Dark: `gray100` */
    val compSharedProgressBarFgPuckKnown: Color
    
    /** Color Pulsecallout of Light: `twilight400` / Dark: `twilight300` */
    val compSharedPulseCalloutBorder: Color
    
    /** Color Toast Bg Status of Light: `twilight900` / Dark: `gray300` */
    val compSharedToastBgStatusUpgrade: Color
    
    /** Color Switch Bg of Light: `twilight500` / Dark: `twilight500` */
    val compAndroidSwitchBgSelected: Color
    
    /** Color Switch Bg of Light: `gray100` / Dark: `gray700` */
    val compAndroidSwitchBgUnselected: Color
    
    /** Color Switch Border of Light: `gray600` / Dark: `gray500` */
    val compAndroidSwitchBorderUnselected: Color
    
    /** Color Switch Handle of Light: `gray100` / Dark: `twilight100` */
    val compAndroidSwitchHandleSelected: Color
    
    /** Color Switch Handle of Light: `gray600` / Dark: `gray500` */
    val compAndroidSwitchHandleUnselected: Color

    object Light : CompColor {
        override val compSharedPillsBgMetadataPrimary: Color = RefColor.refColorGray900
        override val compSharedPillsBgMetadataSecondary: Color = RefColor.refColorTwilight100
        override val compSharedPillsBgCalloutPrimary: Color = RefColor.refColorSkyblue400
        override val compSharedPillsBgStatusSubtle: Color = RefColor.refColorGray400
        override val compSharedPillsBgStatusUpgrade: Color = Sys.Light.sysSurfaceStatusUpgrade
        override val compSharedPillsBgStatusVerified: Color = RefColor.refColorMint200
        override val compSharedPillsFgMetadataPrimary: Color = RefColor.refColorGray200
        override val compSharedPillsFgMetadataSecondary: Color = RefColor.refColorGray700
        override val compSharedPillsFgCalloutPrimary: Color = RefColor.refColorGray700
        override val compSharedPillsFgStatusSubtle: Color = RefColor.refColorGray700
        override val compSharedPillsFgStatusUpgrade: Color = RefColor.refColorGray700
        override val compSharedPillsFgStatusVerified: Color = RefColor.refColorGray700
        override val compSharedProgressBarBgBarEmpty: Color = RefColor.refColorGray300
        override val compSharedProgressBarBgBarPrimary: Color = RefColor.refColorTwilight400
        override val compSharedProgressBarBgBarSecondary: Color = RefColor.refColorSkyblue400
        override val compSharedProgressBarBgBarKnown: Color = RefColor.refColorMint500
        override val compSharedProgressBarBgBarUnknown: Color = RefColor.refColorSherbert400
        override val compSharedProgressBarBgPuckKnown: Color = RefColor.refColorMint600
        override val compSharedProgressBarFgPuckKnown: Color = RefColor.refColorGray100
        override val compSharedPulseCalloutBorder: Color = RefColor.refColorTwilight400
        override val compSharedToastBgStatusUpgrade: Color = RefColor.refColorTwilight900
        override val compAndroidSwitchBgSelected: Color = RefColor.refColorTwilight500
        override val compAndroidSwitchBgUnselected: Color = RefColor.refColorGray100
        override val compAndroidSwitchBorderUnselected: Color = RefColor.refColorGray600
        override val compAndroidSwitchHandleSelected: Color = RefColor.refColorGray100
        override val compAndroidSwitchHandleUnselected: Color = RefColor.refColorGray600
    }

    object Dark : CompColor {
        override val compSharedPillsBgMetadataPrimary: Color = RefColor.refColorGray200
        override val compSharedPillsBgMetadataSecondary: Color = RefColor.refColorGray600
        override val compSharedPillsBgCalloutPrimary: Color = RefColor.refColorSkyblue400
        override val compSharedPillsBgStatusSubtle: Color = RefColor.refColorGray400
        override val compSharedPillsBgStatusUpgrade: Color = Sys.Dark.sysSurfaceStatusUpgrade
        override val compSharedPillsBgStatusVerified: Color = RefColor.refColorMint200
        override val compSharedPillsFgMetadataPrimary: Color = RefColor.refColorGray800
        override val compSharedPillsFgMetadataSecondary: Color = RefColor.refColorGray200
        override val compSharedPillsFgCalloutPrimary: Color = RefColor.refColorGray700
        override val compSharedPillsFgStatusSubtle: Color = RefColor.refColorGray700
        override val compSharedPillsFgStatusUpgrade: Color = RefColor.refColorGray700
        override val compSharedPillsFgStatusVerified: Color = RefColor.refColorGray700
        override val compSharedProgressBarBgBarEmpty: Color = RefColor.refColorGray600
        override val compSharedProgressBarBgBarPrimary: Color = RefColor.refColorTwilight400
        override val compSharedProgressBarBgBarSecondary: Color = RefColor.refColorSkyblue400
        override val compSharedProgressBarBgBarKnown: Color = RefColor.refColorMint500
        override val compSharedProgressBarBgBarUnknown: Color = RefColor.refColorSherbert400
        override val compSharedProgressBarBgPuckKnown: Color = RefColor.refColorMint600
        override val compSharedProgressBarFgPuckKnown: Color = RefColor.refColorGray100
        override val compSharedPulseCalloutBorder: Color = RefColor.refColorTwilight300
        override val compSharedToastBgStatusUpgrade: Color = RefColor.refColorGray300
        override val compAndroidSwitchBgSelected: Color = RefColor.refColorTwilight500
        override val compAndroidSwitchBgUnselected: Color = RefColor.refColorGray700
        override val compAndroidSwitchBorderUnselected: Color = RefColor.refColorGray500
        override val compAndroidSwitchHandleSelected: Color = RefColor.refColorTwilight100
        override val compAndroidSwitchHandleUnselected: Color = RefColor.refColorGray500
    }
}
